Support » Requests and Feedback » Upgrade from 2.50 ASAP!

Upgrade from 2.50 ASAP!

  • I upgraded from 2.05 to 2.50 because of security breaches. 2.50 was maddeningly slow and the interface was “retro.” I was searching for an old 2.05 on the internet, willing to take my chances with the spammers just to get my program back when I ran across 2.51.

    My congratulations! You’re back on track, though I did feel like I was a beta-tester on a painfully slow old PC instead of the 64 bit Quad Core that actually runs my software.

    As they say, “All’s well that ends well [after it ends well].”

    Thanks for the upgrade

  • The topic ‘Upgrade from 2.50 ASAP!’ is closed to new replies.